| index

Package cout_assert Package of assertion routines to make it easy to validate assumptions in a declarative fashion.

Program units

istrue | Asserts whether the given p_condition is true
isnotnull | Asserts whether the given p_value IS NOT NULL
isnotnull | Asserts whether the given p_value IS NOT NULL
isnotnull | Asserts whether the given p_value IS NOT NULL
isnotnull | Asserts whether the given p_value IS NOT NULL

Types

g_t_substitution_list |

Variables

c_empty_substitution_list |

g_t_substitution_list

    SUBTYPE g_t_substitution_list IS cout_err.g_t_substitution_list;

c_empty_substitution_list

    c_empty_substitution_list g_t_substitution_list;

istrue

    PROCEDURE istrue(p_condition         IN BOOLEAN
                    ,p_message           IN VARCHAR2
                    ,p_raise_exception   IN BOOLEAN := TRUE
                    ,p_exception         IN NUMBER := -6502
                    ,p_substitution_list IN g_t_substitution_list := c_empty_substitution_list
                    ,p_helper_call_level IN NUMBER := 1)

Asserts whether the given p_condition is true

Usage

| cout_assert.istrue(p_inmo_type IN ('CR', 'CU', 'INMO', 'CA', 'CT'),p_message => 'Invalid inmo_type passed');

Parameters

| p_condition | The condition to be asserted as TRUE
| p_message | The message to be displayed when the assertion is NOT TRUE
| p_raise_exception | Requests that an exception be raised if the assertion is NOT TRUE
| p_exception | The exception to be raised, if requested
| p_subsitution_list | Table of values to be substituted into the generated exception message
| p_helper_call_level | If being used by a 'helper' procedure, indicates the call above the curremt call to be reported

isnotnull

    PROCEDURE isnotnull(p_value             IN VARCHAR2
                       ,p_message           IN VARCHAR2
                       ,p_raise_exception   IN BOOLEAN := TRUE
                       ,p_exception         IN NUMBER := -6502
                       ,p_substitution_list IN g_t_substitution_list := c_empty_substitution_list)

Asserts whether the given p_value IS NOT NULL

Usage

| cout_assert.isnotnull(p_value => l_inst_id,p_message => 'Inventory statement not found');

Parameters

| p_condition | The condition to be asserted as TRUE
| p_message | The message to be displayed when the assertion is NOT TRUE
| p_raise_exception | Requests that an exception be raised if the assertion is NOT TRUE
| p_exception | The exception to be raised, if requested
| p_subsitution_list | Table of values to be substituted into the generated exception message

isnotnull

    PROCEDURE isnotnull(p_value             IN DATE
                       ,p_message           IN VARCHAR2
                       ,p_raise_exception   IN BOOLEAN := TRUE
                       ,p_exception         IN NUMBER := -6502
                       ,p_substitution_list IN g_t_substitution_list := c_empty_substitution_list)

Asserts whether the given p_value IS NOT NULL

Parameters

| p_condition | The condition to be asserted as TRUE
| p_message | The message to be displayed when the assertion is NOT TRUE
| p_raise_exception | Requests that an exception be raised if the assertion is NOT TRUE
| p_exception | The exception to be raised, if requested
| p_subsitution_list | Table of values to be substituted into the generated exception message

isnotnull

    PROCEDURE isnotnull(p_value             IN NUMBER
                       ,p_message           IN VARCHAR2
                       ,p_raise_exception   IN BOOLEAN := TRUE
                       ,p_exception         IN NUMBER := -6502
                       ,p_substitution_list IN g_t_substitution_list := c_empty_substitution_list)

Asserts whether the given p_value IS NOT NULL

Parameters

| p_condition | The condition to be asserted as TRUE
| p_message | The message to be displayed when the assertion is NOT TRUE
| p_raise_exception | Requests that an exception be raised if the assertion is NOT TRUE
| p_exception | The exception to be raised, if requested
| p_subsitution_list | Table of values to be substituted into the generated exception message

isnotnull

    PROCEDURE isnotnull(p_value             IN BOOLEAN
                       ,p_message           IN VARCHAR2
                       ,p_raise_exception   IN BOOLEAN := TRUE
                       ,p_exception         IN NUMBER := -6502
                       ,p_substitution_list IN g_t_substitution_list := c_empty_substitution_list)

Asserts whether the given p_value IS NOT NULL

Parameters

| p_condition | The condition to be asserted as TRUE
| p_message | The message to be displayed when the assertion is NOT TRUE
| p_raise_exception | Requests that an exception be raised if the assertion is NOT TRUE
| p_exception | The exception to be raised, if requested
| p_subsitution_list | Table of values to be substituted into the generated exception message